/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.entity.common;

import java.util.ArrayList;
import java.util.List;

import org.tinygroup.entity.base.BaseObject;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * 字段分组
 * 
 * @author luoguo
 * 
 */
@XStreamAlias("operation-group")
public class OperationGroup extends BaseObject {
	@XStreamAsAttribute
	@XStreamAlias("display-mode")
	String displayMode;// 分组显示模式，可以是Tab,Group等
	@XStreamAsAttribute
	String url;//来自哪个URL，如果有这个值，则不能再包含操作字段列表,如果有，也会被忽略

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getDisplayMode() {
		return displayMode;
	}

	public void setDisplayMode(String displayMode) {
		this.displayMode = displayMode;
	}

	@XStreamAlias("operation-fields")
	List<OperationField> fields;

	public List<OperationField> getFields() {
		if (fields == null)
			fields = new ArrayList<OperationField>();
		return fields;
	}

	public void setFields(List<OperationField> fields) {
		this.fields = fields;
	}

}
