/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.entity.ralation;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

/**
 * 
 * @author luoguo
 * 
 */
@XStreamAlias("model-reference")
public class ModelReference {
	@XStreamAsAttribute
	@XStreamAlias("model-id")
	String modelId;// 引用的模型标识
	/**
	 * 模型标识别名,可以为空，如果为空的话，与modelId相同
	 */
	@XStreamAsAttribute
	@XStreamAlias("alise-id")
	String aliseId;
	/**
	 * 连接方式，可以是：left(左连接),right(右连接),full(全连接),inner(内连接),outer(外连接),cross(交叉连接)
	 * ,self(自连接)
	 * 
	 */
	@XStreamAsAttribute
	@XStreamAlias("connect-mode")
	String connectMode;

	public String getModelId() {
		return modelId;
	}

	public void setModelId(String modelId) {
		this.modelId = modelId;
	}

	public String getAliseId() {
		return aliseId;
	}

	public void setAliseId(String aliseId) {
		this.aliseId = aliseId;
	}

}
