/**
 *  Copyright (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  Licensed under the GPL, Version 3.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.gnu.org/licenses/gpl.html
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * --------------------------------------------------------------------------
 *  版权 (c) 1997-2013, tinygroup.org (luo_guo@live.cn).
 *
 *  本开源软件遵循 GPL 3.0 协议;
 *  如果您不遵循此协议，则不被允许使用此文件。
 *  你可以从下面的地址获取完整的协议文本
 *
 *       http://www.gnu.org/licenses/gpl.html
 */
package org.tinygroup.entity.ralationmodel;

import java.util.List;

import org.tinygroup.entity.BaseModel;
import org.tinygroup.entity.ralation.ModelReference;

import com.thoughtworks.xstream.annotations.XStreamAlias;

/**
 * 关系模型
 * 
 * @author luoguo
 * 
 */
@XStreamAlias("relation-model")
public class RelationModel extends BaseModel {
	/**
	 * 模型引用<br>
	 * 用于引用其它实体类型，可以引入多个实体
	 */
	@XStreamAlias("model-references")
	private List<ModelReference> ModelReference;

	public List<ModelReference> getModelReference() {
		return ModelReference;
	}

	public void setModelReference(List<ModelReference> modelReference) {
		ModelReference = modelReference;
	}

}
